installer google-earth sur lenny en amd64

Le
Frederic Baldit
Bonjour,
je suis sur une lenny amd64 avec une installation récente.
J'ai essayé d'installer google-earth de la façon suivante:
1) installation du paquet google-earth-package
2) création du paquet: sous root et dans mon répertoire perso:=


make-googleearth-package

Cela me répond:

Google Earth for GNU/Linux 5.0.11733.9347
Unrecognized Google Earth version (use --force to build anyway)

du coup, discipliné, je fais:

make-googleearth-package --force

Je lis alors beaucoup de messages d'avertissement concernant des
bibliothèques, par exemple:


dpkg-shlibdeps: avertissement: impossible de trouver la bibliothèque
libbase.so demandée par ../usr/lib/googleearth/libflightsim.so (son
RPATH est
« /usr/local/google/build/.pulse/data/recipes/34609195/base/googlecli=
ent/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/data/re=
cipes/34609195/base/googleclient/third_party/alchemy/files/newgap/install/=
LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/34609195=
/base/googleclient/earth/client/thirdparty/lib-linux »).
Note : les bibliothèques ne sont pas recherchées dans d'autres=
paquets
binaires qui n'ont pas de fichier shlibs ou de fichier de symboles.
Pour aider dpkg-shlibdeps à trouver des bibliothèques privé=
es, vous
devriez définir LD_LIBRARY_PATH.


Par contre un .deb est créé:

googleearth_5.0.11733.9347+0.5.4-1_amd64.deb

3) Ensuite un dpkg -i googleearth installe bien un binaire
googleearth mais au lancement de celui-ci, après affichage de l'image=
de
google-earth, la fenêtre de googleearth s'ouvre, noire (sans la Terre=
)
et un message d'erreur apparaît dans une autre fenêtre:

Google Earth a détecté une erreur lors de la tentative
d'authentification. Vérifiez:
- votre connexion réseau (pouvez-vous accéder à www.google.=
fr ?)
- vos paramètres de pare-feu
(boquez-vous /usr/lib/googleearth-bin ?)

Code d'erreur : 29

Pour plus d'info visitez le site.

Ma question est: est-il difficile de faire fonctionner google-earth sur
une architecture amd64 ? J'ai pourtant déjà instalé les paq=
uets
ia32-libs et ia32-libs-gtk mais visiblement ça ne suffit pas.

Merci pour toute aide si quelqu'un a réussi ce type d'installation.
Cdlt,
Frédéric.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Frederic Baldit
Le #19885801
Bonjour,
Après une petite recherche, j’ai trouvé qu’i l manquait
lib32nss-mdns et aussi et surtout que la libcrypto.so.0.9.8
qu’ils fournissent pose problème (utilise les mauvaises bib s si
je me souviens bien). Il m’a suffit de renommer ce fichier pour
le neutraliser (supprimer aurait fait pareil). (Le paquet
libssl0.9.8 en fournit une version qui fonctionne.)


J'ai installé le paquet lib32nss-mdns, ce qui a résolu le probl ème de
l'erreur 29 (connexion).

Le paquet libssl0.9.8 est déjà installé et la libcrypto.so. 0.9.8 est
présente (en quatre exemplaires, dans des sous répertoires
de /emul/ia32-linux/usr/)

Par contre mon écran reste noir, bien que les cartes soient apparemme nt
téléchargées (led de ma carte ethernet qui clignote).

J'ai vu que, dans le script /usr/bin/googleearth c'est apparemment le
binaire /usr/lib/googleearth/googleerath-bin qui est appelé, et un ld d
sur cet exécutable me dit:
libQtWebKit.so.4 => not found
libgoogleearth_lib.so => not found
libbase.so => not found
libge_net.so => not found
libgeobase.so => not found
Mais ces librairies ne sont pas présentes chez moi...
Là je ne vois pas, sauf tenter une installation sans passer par les
paquets debian, mais je n'y tiens pas trop.

Merci pour l'aide.
Cdlt,
Frédéric.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Guy Roussin
Le #19886321
Bonjour,

Que donne le fameux :
$ glxinfo | grep render

Guy


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Thierry Chatelet
Le #19886411
On Wednesday 05 August 2009 14:58:53 Frederic Baldit wrote:
Bonjour,


Par contre mon écran reste noir, bien que les cartes soient apparemm ent
téléchargées (led de ma carte ethernet qui clignote).


Merci pour l'aide.
Cdlt,
Frédéric.



J' ai eu le même problème. Si je me souviens bien, en démarr ant googleearth
dans un terminal, ça m' a donné des messages d' erreur. En utilis ant ton
moteur de recherche préféré, tu devrais trouver la solution. Malheusement, ça
fait déjà qq temps que j' ai fais la manip. et mes cellules grise s étant très
occupées par les plans de vacances, je ne me souviens plus ce qu' il f allait
faire. Bonne chance
Thierry

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Frederic Baldit
Le #19887041
Bonjour,
pour info voilà ce que donne glxinfo|grep render:

direct rendering: Yes
OpenGL renderer string: Quadro FX 2700M/PCI/SSE2
GL_NV_depth_buffer_float, GL_NV_conditional_render,
GL_NV_depth_clamp,
GL_NV_vertex_program3, GL_NVX_conditional_render,

Sinon je vais en effet tenter d'utiliser google pour résoudre ce
problème d'écran noir. Mais si quelqu'un a une idée je suis évidemment
preneur!! |:)
Cdlt,
Frédéric.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Jean-Yves F. Barbier
Le #19887121
Frederic Baldit a écrit :
Bonjour,
pour info voilà ce que donne glxinfo|grep render:

direct rendering: Yes
OpenGL renderer string: Quadro FX 2700M/PCI/SSE2
GL_NV_depth_buffer_float, GL_NV_conditional_render,
GL_NV_depth_clamp,
GL_NV_vertex_program3, GL_NVX_conditional_render,

Sinon je vais en effet tenter d'utiliser google pour résoudre ce
problème d'écran noir. Mais si quelqu'un a une idée je suis évidemment
preneur!! |:)



ben la résolution de PB, c'est comme la vente: on ratisse d'abord large pour
fermer l'entonnoir :) Commence par utiliser le driver 'nv' (normal GPL)
pour voir ce qui se passe, déjà tu sauras si ça vient de là ou pas.

--
My rackets are run on strictly American lines, and they're going to
stay that way. -- Al Capone

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Sylvain Sauvage
Le #19887111
Frederic Baldit, mercredi 5 août 2009, 14:58:53 CEST

Bonjour,



’jour,

[…]
Le paquet libssl0.9.8 est déjà installé et la libcrypto.so .0.9.8 est
présente (en quatre exemplaires, dans des sous répertoires
de /emul/ia32-linux/usr/)



J’ai vérifié : dans le paquet créé par G GE-package, la
bibliothèque libcrypto fournie est bien neutralisée (déplac ée en
libcrypto.so.0.9.8.moved.for.workaround).
Donc ça n’est pas ça.

Par contre mon écran reste noir, bien que les cartes soient apparemm ent
téléchargées (led de ma carte ethernet qui clignote).

J'ai vu que, dans le script /usr/bin/googleearth c'est apparemment le
binaire /usr/lib/googleearth/googleerath-bin qui est appelé, et un l dd
sur cet exécutable me dit:
libQtWebKit.so.4 => not found
libgoogleearth_lib.so => not found
libbase.so => not found
libge_net.so => not found
libgeobase.so => not found
Mais ces librairies ne sont pas présentes chez moi...



Si, elles sont présentes. Elles sont dans /usr/lib/googleearth
et le script modifie LD_LIBRARY_PATH pour que ld les trouve.
Si le script ne faisait que lancer googleearth-bin, il n’aurait
pas de raison d’exister…

Là je ne vois pas, sauf tenter une installation sans passer par les
paquets debian, mais je n'y tiens pas trop.



Ça ressemble à un problème graphique.

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Frederic Baldit
Le #19890081
Bonjour,
Juste à titre d'info, le retour au pilote nv (plus de direct renderin g)
ne résoud pas le problème, au contraire car je n'ai carréme nt plus
l'ouverture de la fenêtre principale de GGE.

Pour être sûr d'être bien compris, ma situation actuelle es t la
suivante:
1) au lancement de GGE la fenêtre d'"accueil" (image de la Terre vue de
l'espace) s'affiche qqs secondes, puis elle disparaît et
2) la fenêtre principale de GGE s'ouvre, avec les différents men us, etc.
Tout semble OK sauf que la zone (à droite) de la fenêtre dé diée à
l'affichage de la vue de l'endroit souhaité reste noire.

Dans ma config graphique actuelle j'ai simplement compilé le module
nvidia de ma carte (Quadro FX 2700M) avec module-assistant.
Voilà.

Frédéric.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Thierry Chatelet
Le #19890381
On Thursday 06 August 2009 11:50:11 Frederic Baldit wrote:
Bonjour,



2) la fenêtre principale de GGE s'ouvre, avec les différents me nus, etc.
Tout semble OK sauf que la zone (à droite) de la fenêtre dà ©diée à
l'affichage de la vue de l'endroit souhaité reste noire.

Frédéric.



j' insite: essayes de le démarrer en console et donnes nous les messag es d'
erreurs si il y en a.
Thierry

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Frederic Baldit
Le #19890721
Le jeudi 06 août 2009 à 12:50 +0200, Thierry Chatelet a écr it :
On Thursday 06 August 2009 11:50:11 Frederic Baldit wrote:
> Bonjour,

> 2) la fenêtre principale de GGE s'ouvre, avec les différents menus, etc.
> Tout semble OK sauf que la zone (à droite) de la fenêtre d édiée à
> l'affichage de la vue de l'endroit souhaité reste noire.
>
> Frédéric.

j' insite: essayes de le démarrer en console et donnes nous les mes sages d'
erreurs si il y en a.
Thierry


En console (root ou non) il n'y a aucun message d'erreur qui s'affiche.
J'ai aussi sollicité plusieurs choses de GGE (Allerà, itiné raires, etc.)
et essayé de modifier des options (Outils->Options), mais rien n'y fa it,
la seule chose observée est que l'affichage reste vide. Il change
seulement de noir à gris (par exemple quand je zoome à la souris ).
Frédéric.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Guy Roussin
Le #19923301
Bonjour Frederic,

Je viens d'être confronté au même problème que toi su r une
debian lenny amd64 sur laquelle j'ai install un noyau 2.6.30 de
backport et le driver nvidia 185.18.14-2 de sid (et le nvidia-glx
correspondant).
Il s'agit d'un latitude E6500 avec une carte graphique nvidia Quadro NVS
160M

En repassant au noyau standard (2.6.26-2) avec le driver de base de lenny
non-free 173.14.09-3 (et le nvidia-glx correspondant), tout redevient
normal et googleearth fonctionne correctement.

Je soupçonne donc un problème du driver 185.18.14-2 de sid.

Au passage pour l'installation de google-earth j'ai utilisé le paque t
googleearth-package de sid (0.5.6) avec pas ou peu de dépendances.
Il s'installe donc très bien sous lenny (sans forcer). Seul un petit
probleme
avec libssl. j'ai du renommer la librairie fournie avec google-earth
pour que googleearth utilise la version standard.
J'ai testé aussi avec le binaire fournie par google, le pb est le mà ªme
(fenêtre noire/ grise).


Cordialement,

Guy


Frederic Baldit a écrit :
Bonjour,
je suis sur une lenny amd64 avec une installation récente.
J'ai essayé d'installer google-earth de la façon suivante:
1) installation du paquet google-earth-package
2) création du paquet: sous root et dans mon répertoire perso :

make-googleearth-package

Cela me répond:

Google Earth for GNU/Linux 5.0.11733.9347
Unrecognized Google Earth version (use --force to build anyway)

du coup, discipliné, je fais:

make-googleearth-package --force

Je lis alors beaucoup de messages d'avertissement concernant des
bibliothèques, par exemple:

...
dpkg-shlibdeps: avertissement: impossible de trouver la bibliothèq ue
libbase.so demandée par ../usr/lib/googleearth/libflightsim.so (so n
RPATH est
« /usr/local/google/build/.pulse/data/recipes/34609195/base/google client/earth/client/scons-out/prod/lib:/usr/local/google/build/.pulse/dat a/recipes/34609195/base/googleclient/third_party/alchemy/files/newgap/ins tall/LinuxOglRelease.A/lib:/usr/local/google/build/.pulse/data/recipes/34 609195/base/googleclient/earth/client/thirdparty/lib-linux »).
Note : les bibliothèques ne sont pas recherchées dans d'autre s paquets
binaires qui n'ont pas de fichier shlibs ou de fichier de symboles.
Pour aider dpkg-shlibdeps à trouver des bibliothèques privà ©es, vous
devriez définir LD_LIBRARY_PATH.
...

Par contre un .deb est créé:

googleearth_5.0.11733.9347+0.5.4-1_amd64.deb

3) Ensuite un dpkg -i googleearth... installe bien un binaire
googleearth mais au lancement de celui-ci, après affichage de l'im age de
google-earth, la fenêtre de googleearth s'ouvre, noire (sans la Te rre)
et un message d'erreur apparaît dans une autre fenêtre:

Google Earth a détecté une erreur lors de la tentative
d'authentification. Vérifiez:
- votre connexion réseau (pouvez-vous accéder à www.goog le.fr ?)
- vos paramètres de pare-feu
(boquez-vous /usr/lib/googleearth-bin ?)

Code d'erreur : 29

Pour plus d'info visitez le site....

Ma question est: est-il difficile de faire fonctionner google-earth sur
une architecture amd64 ? J'ai pourtant déjà instalé les paquets
ia32-libs et ia32-libs-gtk mais visiblement ça ne suffit pas.

Merci pour toute aide si quelqu'un a réussi ce type d'installation .
Cdlt,
Frédéric.



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme